package com.altinity.opsview.odw.model;

/**
 * Copyright (C) 2008 Opsera Limited. All rights reserved
 *
 * This file is part of Opsview
 * 
 * Opsview is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * Opsview is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Opsview; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301  USA
 * 
 */

public class ReportConfig {
	
	private int id = 0;
	private String name = "";
	private String selection = "";
	private String type = "";
	private int typeId;
	private String format = "";
	private String label = "";
	private int startOfWeek;

	/**
	 * 
	 */
	public String getFormat() {
		return format;
	}
	
	/**
	 * 
	 */
	public void setFormat(String format) {
		this.format = format;
	}
	
	/**
	 * 
	 */
	public int getId() {
		return id;
	}
	
	/**
	 * 
	 */
	public void setId(int id) {
		this.id = id;
	}
	
	/**
	 * 
	 */
	public String getName() {
		return name;
	}

	/**
	 * 
	 */
	public void setName(String name) {
		this.name = name;
	}
	
	/**
	 * 
	 */
	public String getSelection() {
		return selection;
	}
	
	/**
	 * 
	 */
	public void setSelection(String selection) {
		this.selection = selection;
	}
	/**
	 * 
	 */
	public String getType() {
		return type;
	}
	
	/**
	 * 
	 */
	public void setType(String type) {
		this.type = type;
	}
	/**
	 * 
	 */
	public int getTypeId() {
		return typeId;
	}
	
	/**
	 * 
	 */
	public void setTypeId(int typeId) {
		this.typeId = typeId;
	}
	
	/**
	 * 
	 */
	public String getLabel() {
		return label;
	}
	
	/**
	 * 
	 */
	public void setLabel(String label) {
		this.label = label;
	}
	
	/**
	 * 
	 */
	public int getStartOfWeek() {
		return startOfWeek;
	}
	
	/**
	 * 
	 */
	public void setStartOfWeek(int startOfWeek) {
		this.startOfWeek = startOfWeek + 1; // Sunday in Java is 1, Sunday in ODW is 0 
	}
}
